View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
18101Bug reportsErgonomypublic2022-06-27 09:51
ReportergeraldC Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status ready for mergeResolutionfixed 
Product Version5.3.x 
Summary18101: Spinning hexagon continues to spin although file is correctly downloaded
Description

When downloading a response statistics file in .XLSX format, the hexagon with the mention : "Please wait, loading data..." continues to spin forever, although the file is already downloaded

Steps To Reproduce

Steps to reproduce

View the statistics of responses of a survey,
choose "Excel" Output format, and
click on the "View Statistics" button.

Expected result

Exports a .XLSX file,
The spinning hexagon with the text "Please wait, loading data...", should stop or disappear when the download is complete.

Actual result

Exports a .XLSX file.
The moving hexagon below with the text "Please wait, loading data..." appears but continues to spin forever (although the file has already been downloaded).
TagsNo tags attached.
Bug heat2
Complete LimeSurvey version number (& build)5.3.12
I will donate to the project if issue is resolvedNo
BrowserFirefox, Chrome
Database type & versionn/a
Server OS (if known)Debian 4.19.208-1
Webserver software & version (if known)Apache/2.4.38
PHP Version7.4

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2022-05-18 14:54

manager   ~69783

Will review to confirm it.

gabrieljenik

gabrieljenik

2022-06-03 19:40

manager   ~70216

https://github.com/LimeSurvey/LimeSurvey/pull/2454

For error handling, ajaxError() method is used, which is already used everywhere in statistics.js.
It's kind of ugly because it uses a javascript alert, but better to keep on using that for consistency.
Later, when desired, we can directly update the ajaxError() to display nicer.

On the other hand, in that same file it saves files in different ways:

  • exportImages: use the FileSaver.
  • createPDFworker: use the link if it supports the 'download' attribute, and an iframe in a new window if it doesn't.
    Could be good idea to also use same mechanism for consistency
gabrieljenik

gabrieljenik

2022-06-27 09:51

manager   ~70545

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33596

Related Changesets

LimeSurvey: master a48a4c00

2022-06-27 09:51:09

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 18101: Spinning hexagon continues to spin although file is correctly downloaded (#2454)

Dev Use FileSaver
Affected Issues
18101
mod - assets/scripts/admin/statistics.js Diff File

Issue History

Date Modified Username Field Change
2022-05-12 11:41 geraldC New Issue
2022-05-18 14:54 gabrieljenik Assigned To => gabrieljenik
2022-05-18 14:54 gabrieljenik Status new => assigned
2022-05-18 14:54 gabrieljenik Status assigned => new
2022-05-18 14:54 gabrieljenik Note Added: 69783
2022-05-18 14:54 gabrieljenik Bug heat 0 => 2
2022-05-26 20:42 gabrieljenik Status new => confirmed
2022-06-03 19:40 gabrieljenik Status confirmed => ready for code review
2022-06-03 19:40 gabrieljenik Note Added: 70216
2022-06-20 18:05 DenisChenu Assigned To gabrieljenik => DenisChenu
2022-06-21 11:15 DenisChenu Assigned To DenisChenu => gabrieljenik
2022-06-27 01:56 gabrieljenik Status ready for code review => ready for merge
2022-06-27 09:51 gabrieljenik Changeset attached => LimeSurvey master a48a4c00
2022-06-27 09:51 gabrieljenik Note Added: 70545
2022-06-27 09:51 gabrieljenik Resolution open => fixed